Skip to main content
POST
/
v1
/
conversations
/
{conversationId}
/
mark-as-done
Mark conversation as done
curl --request POST \
  --url https://api.quo.com/v1/conversations/{conversationId}/mark-as-done \
  --header 'Authorization: <api-key>'
{
  "assignedTo": "US123abc",
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "id": "CN123abc",
  "lastActivityAt": "2023-11-07T05:31:56Z",
  "lastActivityId": "AC123abc",
  "mutedUntil": "2023-11-07T05:31:56Z",
  "name": "Chat with customer",
  "participants": [
    "+15555555555"
  ],
  "phoneNumberId": "PN123abc",
  "snoozedUntil": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

conversationId
string
required

The unique identifier of the conversation to mark as done.

Pattern: ^CN(.*)$
Example:

"CN123abc"

Response

Success

assignedTo
required

The unique identifier of the user or system user the conversation is assigned to.

Pattern: ^US(.*)$
Example:

"US123abc"

createdAt
string<date-time> | null
required
deletedAt
string<date-time> | null
required
id
string
required

The unique identifier of the conversation.

Pattern: ^CN(.*)$
Example:

"CN123abc"

lastActivityAt
string<date-time> | null
required
lastActivityId
string | null
required

The unique identifier of the most recent activity in the conversation.

Pattern: ^AC(.*)$
Example:

"AC123abc"

mutedUntil
string<date-time> | null
required
name
string | null
required

The custom name of the conversation. Will be null if no custom name is set.

Example:

"Chat with customer"

participants
string[]
required

A phone number in E.164 format, including the country code.

Pattern: ^\+[1-9]\d{1,14}$
phoneNumberId
string
required

The unique identifier of the Quo phone number associated with the conversation.

Pattern: ^PN(.*)$
Example:

"PN123abc"

snoozedUntil
string<date-time> | null
required
updatedAt
string<date-time> | null
required